<%@ page import="javax.naming.*,
                 java.text.*,
                 java.util.*,
                 trail.entity.beans.*, trail.entity.update.*"%>

<%!
  private Calculator cal = null;
  private NumberFormat nf = null;

  public void jspInit () {
    try {
      InitialContext ctx = new InitialContext();
      cal = (Calculator) ctx.lookup(
                  "EJB3Trail/UpdateCalculator/local");
    } catch (Exception e) {
      e.printStackTrace ();
    }

    nf = NumberFormat.getInstance();
    nf.setMaximumFractionDigits(2);
  }
%>

<%
    if ("Update".equals(request.getParameter("action"))) {
        cal.updateExchangeRate(
            Double.parseDouble(
                request.getParameter("newrate")));
    }
%>

<html><body>

<p>Update the calculation records with a new currency<br/>
<form action="update.jsp" method="POST">
  Exchange rate = <input type="text" name="newrate" value="1.5">
  <input type="hidden" name="action" value="Update"><br/>
  <input type="submit" value="Update">
  <INPUT type="button" value="Close Window" onClick="window.close()">
</form><br/>

All records from past calculations<br/>
<table>
<tr>
<td>Time stamp</td>
<td>Fund</td>
<td>Investor</td>
<td>Monthly savings</td>
<td><b>Total investment</b></td>
</tr>

<%
    Collection records = cal.getRecords ();
    for (Iterator iter = records.iterator(); iter.hasNext();) {
        TimedRecord record = (TimedRecord) iter.next();
%>

<tr>
<td><%=record.getTs()%></td>
<td><%=record.getFund().getName()%></td>
<td><%=record.getInvestor().getName()%></td>
<td><%=nf.format(record.getSaving())%></td>
<td><%=nf.format(record.getResult())%></td>
</tr>

<%
    }
%>
</table>

</p>
</body></html>